package com.zd.smartlock.domain.api;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/09/05/16:01
 * @Description:
 */
@ApiModel("添加人员信息")
public class SlPostUser {

    @ApiModelProperty(value = "卡号")
    private String cardcode;

    @ApiModelProperty(value = "是否下发人脸（1是，0否）")
    private String issendface;

    @ApiModelProperty(value = "是否下发指纹（1是，0否）")
    private String issendfinger;

    @ApiModelProperty(value = "是否下发密码（1是，0否）")
    private String issendpass;

    @ApiModelProperty(value = "权限类型（1管理权限，0使用权限，管理权限不占用入住人数）")
    private Integer managertype;

    @ApiModelProperty(value = "6位数字密码（不允许连续数字或连续三个及以上相同数字）")
    private String password;

    @ApiModelProperty(value = "学号")
    private String personcode;

    @ApiModelProperty(value = "房间id")
    private String roomid;

    @ApiModelProperty(value = "授权开始日期")
    private String empsdate;

    @ApiModelProperty(value = "授权结束日期")
    private String empedate;

    public String getCardcode() {
        return cardcode;
    }

    public void setCardcode(String cardcode) {
        this.cardcode = cardcode;
    }

    public String getIssendface() {
        return issendface;
    }

    public void setIssendface(String issendface) {
        this.issendface = issendface;
    }

    public String getIssendfinger() {
        return issendfinger;
    }

    public void setIssendfinger(String issendfinger) {
        this.issendfinger = issendfinger;
    }

    public String getIssendpass() {
        return issendpass;
    }

    public void setIssendpass(String issendpass) {
        this.issendpass = issendpass;
    }

    public Integer getManagertype() {
        return managertype;
    }

    public void setManagertype(Integer managertype) {
        this.managertype = managertype;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPersoncode() {
        return personcode;
    }

    public void setPersoncode(String personcode) {
        this.personcode = personcode;
    }

    public String getRoomid() {
        return roomid;
    }

    public void setRoomid(String roomid) {
        this.roomid = roomid;
    }

    public String getEmpsdate() {
        return empsdate;
    }

    public void setEmpsdate(String empsdate) {
        this.empsdate = empsdate;
    }

    public String getEmpedate() {
        return empedate;
    }

    public void setEmpedate(String empedate) {
        this.empedate = empedate;
    }
}
